Skip to content

OpenAPI Spec

GET
/v1/user-absences/spec

Get OpenAPI 3.1.0 spec for UserAbsence API

Responses

Returns OpenAPI 3.1.0 spec for UserAbsence API

application/json
JSON
{
}

Playground

Samples


List UserAbsences

GET
/v1/user-absences

List UserAbsences

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
userId
typeId
needApprovalById
declinedById
compensatedById
startsAt
endsAt
requestedAt
approvedAt
declinedAt
status
Type
string
Valid values
"idle""draft""approved""declined"
externalId
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"userId": 0,
"requestedAt": "string",
"approvedAt": "string",
"noteForApproval": "string",
"needApprovalById": 0,
"declinedAt": "string",
"declinedNote": "string",
"declinedById": 0,
"compensationApprovedAt": "string",
"compensationDeclinedAt": "string",
"compensatedById": 0,
"workDays": 0,
"status": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new UserAbsence

POST
/v1/user-absences

Create a new UserAbsence

Authorizations

apiKey
Type
HTTP (bearer)

Request Body

application/json
JSON
{
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"userId": 0,
"requestedAt": "string",
"approvedAt": "string",
"noteForApproval": "string",
"needApprovalById": 0,
"declinedAt": "string",
"declinedNote": "string",
"declinedById": 0,
"compensationApprovedAt": "string",
"compensationDeclinedAt": "string",
"compensatedById": 0,
"externalId": null
}

Responses

UserAbsence found

application/json
JSON
{
"id": 0,
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"userId": 0,
"requestedAt": "string",
"approvedAt": "string",
"noteForApproval": "string",
"needApprovalById": 0,
"declinedAt": "string",
"declinedNote": "string",
"declinedById": 0,
"compensationApprovedAt": "string",
"compensationDeclinedAt": "string",
"compensatedById": 0,
"workDays": 0,
"status": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Body

Samples


Get a UserAbsence

GET
/v1/user-absences/{userAbsenceId}

Get a UserAbsence by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

userAbsenceId*
Type
integer
Required
Format
"int32"

Responses

UserAbsence found

application/json
JSON
{
"id": 0,
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"userId": 0,
"requestedAt": "string",
"approvedAt": "string",
"noteForApproval": "string",
"needApprovalById": 0,
"declinedAt": "string",
"declinedNote": "string",
"declinedById": 0,
"compensationApprovedAt": "string",
"compensationDeclinedAt": "string",
"compensatedById": 0,
"workDays": 0,
"status": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete a UserAbsence

DELETE
/v1/user-absences/{userAbsenceId}

Delete a UserAbsence by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

userAbsenceId*
Type
integer
Required
Format
"int32"

Responses

Successfully removed

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a UserAbsence

PATCH
/v1/user-absences/{userAbsenceId}

Update a UserAbsence by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

userAbsenceId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"startsAt": "string",
"endsAt": "string",
"requestedAt": "string",
"approvedAt": "string",
"noteForApproval": "string",
"needApprovalById": 0,
"declinedAt": "string",
"declinedNote": "string",
"declinedById": 0,
"compensationApprovedAt": "string",
"compensationDeclinedAt": "string",
"compensatedById": 0,
"externalId": "string"
}

Responses

UserAbsence found

application/json
JSON
{
"id": 0,
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"userId": 0,
"requestedAt": "string",
"approvedAt": "string",
"noteForApproval": "string",
"needApprovalById": 0,
"declinedAt": "string",
"declinedNote": "string",
"declinedById": 0,
"compensationApprovedAt": "string",
"compensationDeclinedAt": "string",
"compensatedById": 0,
"workDays": 0,
"status": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples